/*----------------------------------*/
/*-------- General page CSS --------*/
/*----------------------------------*/

:root {
  --Colour1: #688bff;
  --Colour2: #c967fe;
}
body{
  background-color: var(--Colour1);
  background-repeat: no-repeat;
  min-height: 100vh;
  margin: 0;
  padding: 0;
  display: block;
  font-family: sans-serif;
    
}
.back_cir {
  width: 150%;
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: -25%;
  border-radius: 50%;
  background-color: rgba(255, 255, 255, 0.15);
  transform: scale(1.6);
  transition: all 0.4s;
}
#text{
  text-align: center;
  margin-top: 7rem;
}
/*----------------------------------*/
/*------- Card animation CSS -------*/
/*----------------------------------*/
.card{
  width: 200px;
  height: 300px;
  position: absolute;
  margin: auto;
  left: 0;
  right: 0;
  bottom: 0;
  top: 0;
  -webkit-perspective: 1200px;
  perspective: 1200px;
  transition: 1s;
  z-index: 100;
}
.inner, .outer{
  position: absolute;
  height: 300px;
  width: 200px;
  cursor: pointer;
  background: linear-gradient(to right, #e7e7e7, #ffffff 30%);

}
.outer{
  -webkit-transform-style: preserve-3d;
  transform-style: preserve-3d;
  z-index: 1;
  transform-origin: left;
  transition: 1.5s;

}
.outer-front, .outer-back{
  height: 100%;
  width: 100%;
  position: absolute;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
}
.outer-back {
  transform: rotateY(180deg);
  background: linear-gradient(to left, #e7e7e7, #ffffff 30%);
}
.card:hover {transform: rotate(10deg);}
.card:hover .outer {transform: rotateY(-130deg);}

/*----------------------------------*/
/*------- Front of card CSSS -------*/
/*----------------------------------*/
.outer-front p{
  text-align: center;
  font-size: 2rem;
  text-transform: uppercase;
  letter-spacing: 0.35rem;
}
.cake{
  position: absolute;
  top: 4rem;
  margin: auto;
  display: flex;
  height: 15rem;
}
.strawberry {
  vertical-align: middle;
  width: 60%;
  margin: auto;
}

/*----------------------------------*/
/*---- Inside left of card CSSS ----*/
/*----------------------------------*/
.amongus {text-align: center; font-size: 5.5rem;}

/*----------------------------------*/
/*---- Inside right of card CSSS ----*/
/*----------------------------------*/
.inner-text{
  height: 90%;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  margin: 1rem;
}

.msg, .emoticon{
  text-align: center;
  font-size: 0.7rem;
  font-weight: bold;
  letter-spacing: 0.1em;
}